<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='C' id=''>
  <oberon-doc>
    <summary>The types from this module are intended to be equivalent to their C counterparts.</summary>
    <p pad-after='yes' no-indent='yes'>The types from this module are intended to be equivalent to their C counterparts.  They may vary depending on your system, but as long as you stick to a 32 Bit Unix they should be fairly safe.</p>
  </oberon-doc>
  <import-decl name='SYSTEM' id='SYSTEM' export='no' module='SYSTEM'/>
  <type-decl name='char' id='char' export='yes'>
    <type>
      <type-name module='#predef' name='CHAR'/>
    </type>
  </type-decl>
  <type-decl name='signedchar' id='signedchar' export='yes'>
    <type>
      <type-name module='#predef' name='SHORTINT'/>
    </type>
  </type-decl>
  <type-decl name='shortint' id='shortint' export='yes'>
    <type>
      <type-name module='#predef' name='INTEGER'/>
    </type>
  </type-decl>
  <type-decl name='int' id='int' export='yes'>
    <type>
      <type-name module='#predef' name='LONGINT'/>
    </type>
  </type-decl>
  <type-decl name='set' id='set' export='yes'>
    <type>
      <type-name module='#predef' name='SET'/>
    </type>
  </type-decl>
  <type-decl name='longint' id='longint' export='yes'>
    <type>
      <type-name module='#predef' name='LONGINT'/>
    </type>
  </type-decl>
  <type-decl name='longset' id='longset' export='yes'>
    <type>
      <type-name module='#predef' name='SET'/>
    </type>
  </type-decl>
  <type-decl name='address' id='address' export='yes'>
    <type>
      <type-name module='SYSTEM' name='ADDRESS' href='SYSTEM#ADDRESS'/>
    </type>
  </type-decl>
  <type-decl name='float' id='float' export='yes'>
    <type>
      <type-name module='#predef' name='REAL'/>
    </type>
  </type-decl>
  <type-decl name='double' id='double' export='yes'>
    <type>
      <type-name module='#predef' name='LONGREAL'/>
    </type>
  </type-decl>
  <type-decl name='enum1' id='enum1' export='yes'>
    <type>
      <type-name module='#predef' name='int'/>
    </type>
  </type-decl>
  <type-decl name='enum2' id='enum2' export='yes'>
    <type>
      <type-name module='#predef' name='int'/>
    </type>
  </type-decl>
  <type-decl name='enum4' id='enum4' export='yes'>
    <type>
      <type-name module='#predef' name='int'/>
    </type>
  </type-decl>
  <type-decl name='FILE' id='FILE' export='yes'>
    <type>
      <type-name module='#predef' name='address'/>
    </type>
  </type-decl>
  <type-decl name='size_t' id='size_t' export='yes'>
    <type>
      <type-name module='#predef' name='longint'/>
    </type>
  </type-decl>
  <type-decl name='uid_t' id='uid_t' export='yes'>
    <type>
      <type-name module='#predef' name='int'/>
    </type>
  </type-decl>
  <type-decl name='gid_t' id='gid_t' export='yes'>
    <type>
      <type-name module='#predef' name='int'/>
    </type>
  </type-decl>
  <type-decl name='charPtr1d' id='charPtr1d' export='yes'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name module='#predef' name='char'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='charPtr2d' id='charPtr2d' export='yes'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name name='charPtr1d' href='#charPtr1d'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='intPtr1d' id='intPtr1d' export='yes'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name module='#predef' name='int'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='string' id='string' export='yes'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name module='#predef' name='char'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='Proc' id='Proc' export='yes'>
    <type>
      <formal-parameters/>
    </type>
  </type-decl>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
</interface-description>
